Package com.google.javascript.jscomp.webservice.common

# Class Protocol

java.lang.Object
com.google.javascript.jscomp.webservice.common.Protocol

public class Protocol extends Object
All the strings used by the webservice protocol.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Protocol.ApiKeyResponse`
Fields in the JSON response from the ApiKeyGenerationServlet.
`static enum`
`Protocol.CompilationLevelKey`
`static enum`
`Protocol.FormattingKey`
All the possible values for the FORMATTING key.
`static enum`
`Protocol.OutputFormatKey`
`static enum`
`Protocol.OutputInfoKey`
All the possible values for the OUTPUT_INFO key.
`static interface`
`Protocol.ProtocolEnum`
All enums that need to be shared between the Java and JS code should implement this interface.
`static enum`
`Protocol.RequestKey`
All the keys that can be part of the http request.
`static enum`
`Protocol.ResponseTag`
All the xml/json tags that can be returned by the backend if xml or json is selected as the output mode.
`static enum`
`Protocol.WarningLevelKey`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FALLBACK_MAX_INPUT_SIZE`
Fallback value in case no setting is provided.
`static final String`
`MAX_INPUT_SIZE_KEY`
Properties key for getting the maximum input file size that may be compiled by the service.

## Method Summary

Modifier and Type
Method
Description
`static final int`
`maximumInputSize()`
Find the maximum input size that this configuration of the web service allows.
`static final void`
`resetMaximumInputSize()`
Reset the maximum input size so that the property key is rechecked.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAX_INPUT_SIZE_KEY

public static final String MAX_INPUT_SIZE_KEY
Properties key for getting the maximum input file size that may be compiled by the service. This is parameterized so we can have different values for inside and outside Google. The value should be a string representation of an integer representing the maximum input size in bytes.

See Also:
  - Constant Field Values

### FALLBACK_MAX_INPUT_SIZE

public static final int FALLBACK_MAX_INPUT_SIZE
Fallback value in case no setting is provided.

See Also:
  - Constant Field Values

## Method Details

### maximumInputSize

public static final int maximumInputSize()
Find the maximum input size that this configuration of the web service allows.

Returns:
  maximum input size permitted (in bytes)

### resetMaximumInputSize

public static final void resetMaximumInputSize()
Reset the maximum input size so that the property key is rechecked. This is needed for testing code because we are caching the maximum input size value.